package intrinsic.mx.rpc.events;

public class ResultEvent extends intrinsic.mx.rpc.events.AbstractEvent {

	/** Accessors */
	public Object headers;
	public Object result;

	/** Variables */
	public intrinsic.mx.messaging.messages.IMessage message;

	/** Constants */
	public static final String RESULT = "result";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ResultEvent() {
}

public ResultEvent(String arg0) {
}

public ResultEvent(String arg0, boolean arg1) {
}

public ResultEvent(String arg0, boolean arg1, boolean arg2) {
}

public ResultEvent(String arg0, boolean arg1, boolean arg2, Object arg3) {
}

public ResultEvent(String arg0, boolean arg1, boolean arg2, Object arg3, intrinsic.mx.rpc.AsyncToken arg4) {
}

public ResultEvent(String arg0, boolean arg1, boolean arg2, Object arg3, intrinsic.mx.rpc.AsyncToken arg4, intrinsic.mx.messaging.messages.IMessage arg5) {
}


/** Static Methods */
public static native intrinsic.mx.rpc.events.ResultEvent createEvent();
public static native intrinsic.mx.rpc.events.ResultEvent createEvent(Object arg0);
public static native intrinsic.mx.rpc.events.ResultEvent createEvent(Object arg0, intrinsic.mx.rpc.AsyncToken arg1);
public static native intrinsic.mx.rpc.events.ResultEvent createEvent(Object arg0, intrinsic.mx.rpc.AsyncToken arg1, intrinsic.mx.messaging.messages.IMessage arg2);

/** Methods */
public native String toString();
public native Object clone();

}
